PETSc version 3.15.5
Fix/Edit manual page

# DMCompositeGetEntries

Gets the DM for each entry in a DMComposite.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetEntries(DM dm,...)

Not Collective

### Input Parameter

| dm | - the packer object

### Output Parameter

| DM ... | - the individual entries (DMs)

### Fortran Notes

Available as DMCompositeGetEntries() for one output DM, DMCompositeGetEntries2() for 2, etc

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(), DMCompositeGetEntriesArray()
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeRestoreLocalVectors(), DMCompositeGetLocalVectors(), DMCompositeScatter(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors()

### Level

advanced

### Location

src/dm/impls/composite/pack.c

### Examples

src/snes/tutorials/ex22.c.html
src/snes/tutorials/ex28.c.html
src/ts/tutorials/ex14.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages